<div class="pt-75">
  <div class="layout-row align-items-center justify-content-center">
    <input type="date" class="large outlined" data-test-id="app-input"
          [(ngModel)]="filterDate" placeholder="Filter Date"/>
    <button class="" data-test-id="submit-button" (click)="dateFilter()">Filter</button>
  </div>
  <div class="card mx-auto table-card mt-50 pb-10">
    <table>
      <thead>
      <tr>
        <th>Date</th>
        <th>Description</th>
        <th>Type</th>
        <th data-test-id="amount" class="sortable" (click)="sortByColumn()">Amount ($)</th>
        <th>Available Balance</th>
      </tr>
      </thead>

      <tbody data-test-id="records-body">
     <tr *ngFor="let txn of txns">
      <td>{{txn.date}}</td>
      <td>{{txn.description}}</td>
      <td>{{txn.type === 1 ? "Debit" : "Credit"}}</td>
      <td>{{txn.amount}}</td>
      <td>{{txn.balance}}</td>
    </tr>
      </tbody>
    </table>
  </div>
</div>
